Package org.eclipse.emf.cdo.server.spi.security

## Class HomeFolderHandler

- java.lang.Object
- - org.eclipse.emf.cdo.server.spi.security.HomeFolderHandler

- All Implemented Interfaces:
    `InternalSecurityManager.CommitHandler`, `InternalSecurityManager.CommitHandler2`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`

      public class HomeFolderHandler
      extends java.lang.Object
      implements InternalSecurityManager.CommitHandler2, org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HomeFolderHandler.Factory` | Creates `InternalSecurityManager.CommitHandler` instances.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler2

      `InternalSecurityManager.CommitHandler2.WithUser`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_HOME_FOLDER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HomeFolderHandler()` |
    `HomeFolderHandler​(java.lang.String homeFolder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.concurrent.ExecutorService` | `getExecutorService()` |
    `java.lang.String` | `getHomeFolder()` |
    `void` | `handleCommit​(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)` | Called before the commit is security checked and passed to the repository.
    `void` | `handleCommitted​(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext)` | Called after the commit has succeeded.
    `protected void` | `handleUser​(CDOTransaction transaction, Realm realm, Role role, User user)` |
    `protected void` | `handleUsers​(InternalSecurityManager securityManager, java.util.List<java.lang.String> userIDs, boolean init)` |
    `void` | `init​(InternalSecurityManager securityManager, boolean firstTime)` |
    `protected void` | `initRole​(Role role)` |
    `void` | `setExecutorService​(java.util.concurrent.ExecutorService executorService)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HOME_FOLDER

          public static final java.lang.String DEFAULT_HOME_FOLDER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HomeFolderHandler

          public HomeFolderHandler​(java.lang.String homeFolder)

    - #### HomeFolderHandler

          public HomeFolderHandler()

  - ### Method Detail

    - #### getHomeFolder

          public java.lang.String getHomeFolder()

    - #### getExecutorService

          public java.util.concurrent.ExecutorService getExecutorService()

      Specified by:
        `getExecutorService` in interface `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`

    - #### setExecutorService

          public void setExecutorService​(java.util.concurrent.ExecutorService executorService)

    - #### init

          public void init​(InternalSecurityManager securityManager,
                           boolean firstTime)

      Specified by:
        `init` in interface `InternalSecurityManager.CommitHandler`

    - #### initRole

          protected void initRole​(Role role)

    - #### handleCommit

          public void handleCommit​(InternalSecurityManager securityManager,
                                   IStoreAccessor.CommitContext commitContext,
                                   User user)

      Description copied from interface: `InternalSecurityManager.CommitHandler`
      Called before the commit is security checked and passed to the repository.
      Specified by:
        `handleCommit` in interface `InternalSecurityManager.CommitHandler`
        `user` - the committing user or `null` if this commit is `triggered` by the system.
      See Also:
        `InternalSecurityManager.CommitHandler2`

    - #### handleCommitted

          public void handleCommitted​(InternalSecurityManager securityManager,
                                      IStoreAccessor.CommitContext commitContext)

      Description copied from interface: `InternalSecurityManager.CommitHandler2`
      Called after the commit has succeeded.
      Specified by:
        `handleCommitted` in interface `InternalSecurityManager.CommitHandler2`

    - #### handleUsers

          protected void handleUsers​(InternalSecurityManager securityManager,
                                     java.util.List<java.lang.String> userIDs,
                                     boolean init)

    - #### handleUser

          protected void handleUser​(CDOTransaction transaction,
                                    Realm realm,
                                    Role role,
                                    User user)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`